#
# spec file for package xfce4-panel-plugin-fsguard
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.12.0
%define plugin_name xfce4-fsguard-plugin
Name:           xfce4-panel-plugin-fsguard
Version:        1.1.0
Release:        lp150.1.3
Summary:        Filesystem Space Monitoring Plugin for the Xfce Panel
License:        BSD-2-Clause
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-fsguard-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/1.1/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(libxfce4panel-2.0) >= %{panel_version}
BuildRequires:  pkgconfig(libxfce4ui-2) >= %{panel_version}
# uses exo-open
Requires:       exo-tools
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The FSGuard plugin constantly monitors free space of a given mountpoint and
displays it as an icon in the panel.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
%make_install

rm -f %{buildroot}%{_libdir}/xfce4/panel/plugins/libfsguard.la

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/xfce4/panel/plugins/libfsguard.so
%{_datadir}/xfce4/panel/plugins/fsguard.desktop
%{_datadir}/icons/hicolor/*/apps/xfce4-fsguard-plugin*

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sun Nov 27 2016 seife+obs@b1-systems.com
- update to version 1.1.0
  - port to gtk+3/libxfce4ui-2/libxfce4panel-2.0
* Tue Mar  3 2015 gber@opensuse.org
- update to version 1.0.2
  - properly resize image _and_ btn so that the image is not
    shrinked
  - updated translations
* Sun Jul  1 2012 gber@opensuse.org
- update to version 1.0.1
  - better compliance with panel plugin HIG
  - fix look on transparent/colored panels
  - added compatibility with xfce4-panel v.4.9.0+
  - fix config loading
  - port to libxfce4ui
  - build the plugin as a module
- dropped obsolete xfce4-fsguard-plugin-fix-config-loading.patch
* Sun Apr 29 2012 gber@opensuse.org
- add dependency on exo-tools since exo-open is used
* Fri Apr 20 2012 gber@opensuse.org
- corrected license
- added documentation files
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Sun Apr 15 2012 gber@opensuse.org
- recommend -lang subpackage
* Tue Apr  3 2012 gber@opensuse.org
- added xfce4-fsguard-plugin-fix-config-loading.patch in order to
  fix the loading of the configuration file
* Tue Apr  3 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
